package de.intevation.flys.client.client.ui;

import com.smartgwt.client.types.FieldType;
import com.smartgwt.client.widgets.form.validator.Validator;

import de.intevation.flys.client.shared.model.Data;
import de.intevation.flys.client.shared.model.IntegerRangeData;
import de.intevation.flys.client.shared.model.DataList;


public class TimerangePanel extends IntegerRangePanel {


    @Override
    protected Validator[] createLowerValidators(DataList dataList) {
        setMaxLower(dataList);
        setMaxUpper(dataList);

        return super.createLowerValidators(dataList);
    }


    @Override
    protected Validator[] createUpperValidators(DataList dataList) {
        setMaxUpper(dataList);
        setMaxLower(dataList);

        return super.createUpperValidators(dataList);
    }


    protected void setMaxLower(DataList dataList) {
        IntegerRangeData range = (IntegerRangeData) dataList.get(0);
        setMaxLower(range.getLower());
    }


    protected void setMaxUpper(DataList dataList) {
        IntegerRangeData range = (IntegerRangeData) dataList.get(0);
        setMaxUpper(range.getUpper());
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
